Subject: Re: bug#32939: 27.0.50; Don't reject confusable quotes, just fontify & mention them in error messages

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Oct 2018 09:12:58 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 29 Oct 2018 21:30:43 -0400
> 
> > However, perhaps we should mention this behavior in "Basic Char
> > Syntax" and the related use of this face in "Faces for Font Lock".
> > WDYT?
> 
> I've tried adding some mentions of it in those places (unfilled to
> simplify diff).  Though I'm not sure if it makes sense to talk about
> this somewhat obscure case.

I think your text is good, but...

> --- a/doc/lispref/objects.texi
> +++ b/doc/lispref/objects.texi
> @@ -347,7 +347,12 @@ Basic Char Syntax
>  characters.  However, you must add a backslash before any of the
>  characters @samp{()[]\;"}, and you should add a backslash before any
>  of the characters @samp{|'`#.,} to avoid confusing the Emacs commands
> -for editing Lisp code.  You can also add a backslash before whitespace
> +for editing Lisp code.  You should also add a backslash before Unicode
> +characters which resemble the previously mentioned @acronym{ASCII}
> +ones, to avoid confusing people reading your code.  Emacs will
> +highlight some non-escaped commonly confused characters such as
> +@samp{‘} to encourage this.
> +                        You can also add a backslash before whitespace
   ^^^^^^^^^^^^^^^^^^^^^^^^
What's the deal with this large whitespace stretch?

Thanks.